* {
    margin: 0;
    padding: 0;
    font-family: 'poppins', sans-serif;
    box-sizing: border-box;
    background: #080808;
}

html {
    scroll-behavior: smooth;
}

.body {
    color: #fff;
}

#header {
    width: 100%;
    height: 100vh;

}

img {
    padding-top: 100px;
    height: 580px;
    width: 500px;
    float: right;
    padding-right: 50px;
}

.image2 {
    display: none
}

h2 {
    color: #fff;
    font-size: xx-large;
    padding: 10px 30px;

}

span {
    color: rgb(219, 195, 142);
}

.container {
    padding: 10px 10px;
}

nav {

    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;

}

nav ul li {
    display: inline-block;
    list-style: none;
    margin: 10px 20px;
    padding: 0px 10px;
}

nav ul li a {
    color: #fff;
    text-decoration: none;
    font-size: 18px;
    position: relative;
}

nav ul li a::after {
    content: '';
    width: 0;
    height: 3px;
    background: rgb(167, 122, 27);
    position: absolute;
    left: 0;
    bottom: -6px;
    transition: 0.5s;
}

nav ul li a:hover::after {
    width: 100%;
}

.header-text {

    position: absolute;
    top: 60%;
    left: 8%;
    transform: translateY(-50%);
}

h1 {
    color: white;
    margin: 20px 0px 20px;
    font-size: 75px;
}

h3 {
    color: white;
    font-size: 25px;
    margin-bottom: 50px;
}

h4 {
    color: #fff;
    letter-spacing: 2px;
    font-size: 20px;
}

.about {
    padding: 80px 0;
    color: #ababab;
}

.row {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.about-col-1 {
    flex-basis: 35%;
}

.about-col-1 img {
    width: 100%;
    height: 500px;
    border-radius: 15px;
    padding-left: 50px;
    padding-top: 30px;
    padding-bottom: 30px;
}

.about-col-2 {
    flex-basis: 60%;
    color: #fff;

}

.sub-title {
    font-size: 60px;
    font-weight: 600;
    color: #fff
}

.tab-titles {
    display: flex;
    margin: 20px 0 40px;
}

.tab-links {
    margin-right: 50px;
    font-size: 18px;
    font-weight: 500;
    cursor: pointer;
    position: relative;
}

.tab-links::after {
    content: '';
    width: 0;
    height: 3px;
    background: rgb(167, 122, 27);
    position: absolute;
    left: 0;
    bottom: -8px;
    transition: 0.5s;
}

.tab-links.active-link::after {
    width: 50%;
}

.tab-contents {
    list-style: none;
    margin: 10px 0;
}

.tab-contents ul li span {
    color: rgb(224, 208, 168);
    font-size: 14px;
}

.tab-contents {
    display: none;
}

.tab-contents.active-tab {
    display: block;
}

/*    services  */
#services {
    padding: 30px 30px;

}

.services-list {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 40px;
    margin-top: 50px;


}

.services-list div {
    background: #262626;
    padding: 40px;
    font-size: 13px;
    font-weight: 300;
    border-radius: 10px;
    transition: background 0.5s, transform 0.5s;
    color: #fff
}

.services-list div i {
    font-size: 50px;
    margin-bottom: 30px;
    background: transparent;

}

.services-list div h2 {
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 15px;

    padding-left: 10px;
    background: transparent;
}

.services-list div a {
    text-decoration: none;
    color: #fff;
    font-size: 12px;
    margin-top: 20px;
    display: inline-block;
    background: transparent;
}

.services-list div p {
    background: transparent;
    font-size: 15px;
}

.services-list div:hover {
    background: rgb(167, 122, 27);
    transform: translateY(-10px);
}

/* portfolio*/

#portfolio {
    padding: 20px 0px;
}

.container h1.sub-title {
    padding-left: 20px;

}

.work-list {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 40px;
    margin-top: 0;
}

.work {
    border-radius: 10px;
    position: relative;
    overflow: hidden;
    padding-top: 0;
    padding-right: 30px;

}

.work img {
    width: 100%;
    height: 450px;
    border-radius: 10px;
    display: block;
    transition: 0.5s;
    padding: 0px 30px;

}

.layer {
    width: 100%;
    height: 0;
    background: linear-gradient(rgb(0, 0, 0, 0.6), rgb(167, 122, 27));
    border-radius: 10px;
    color: #fff;
    font-weight: bold;
    position: absolute;
    left: 0;
    bottom: 0;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0 40px;
    text-align: center;
    font-size: 14px;
    transition: 0.5s;

}

.layer h3 {
    margin-bottom: 20px;
    background: transparent;
    color: #fff;
    font-weight: bold;
}

.layer p {
    background: transparent;
}

.layer a {
    margin-top: 20px;
    color: rgb(167, 122, 27);
    text-decoration: none;
    font-size: 18px;
    line-height: 60px;
    background: #fff;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    text-align: center;
}

.layer i {
    background: transparent;
}

.work:hover img {
    transform: scale(1.1);

}

.work:hover .layer {
    height: 100%;
}

.btn {
    display: block;
    margin: 50px auto;
    width: fit-content;
    border: 1px solid rgb(167, 122, 27);
    padding: 14px 50px;
    border-radius: 6px;
    color: #fff;
    text-decoration: none;
    transition: background 0.5s;

}

.btn:hover {
    background: rgb(167, 122, 27);
}

/* -------------contact ----------*/


.contact-left {
    flex-basis: 35%;
}

.contact-right {
    flex-basis: 60%;
}

.contact-left p {
    margin-top: 30px;
    color: #fff;
    padding-left: 30px;
}

.contact-left p i {
    color: rgb(167, 122, 27);
    margin-right: 15px;
    font-size: 25px;


}

.social-icons {

    margin-top: 30px;
    padding-left: 30px;
}

.social-icons a {
    text-decoration: none;
    font-size: 30px;
    margin-right: 15px;
    color: #ababab;
    display: inline-block;
    transition: transform 0.5s;

}

.social-icons a:hover {
    color: rgb(167, 122, 27);
    transform: translateY(-5px);

}

.btn.btn2 {
    display: inline-block;
    background: rgb(167, 122, 27);

}

.contact-right form {
    width: 100%;
}

form input,
form textarea {
    width: 100%;
    border: 0;
    outline: none;
    background: #262626;
    padding: 15px;
    margin: 15px 0;
    color: #fff;
    font-size: 18px;
    border-radius: 6px;
}

form btn2 {
    padding: 14px 60px;
    font-size: 18px;
    margin-top: 20px;
    cursor: pointer;
    padding-left: 30px;
}

.copyright {
    width: 100%;
    text-align: center;
    padding: 25px 0;
    background: #262626;
    font-weight: 300;
    margin-top: 20px;
    color: #fff;
}

.copyright p {
    background: #262626;

}

.copyright i {
    color: rgb(167, 122, 27);
    background: #262626;
}

/*-------------------------css for small screens--------------*/
nav.fa-solid {
    display: none;
}

@media only screen and (max-width:600px) {
    .image1 {
        display: none;
    }

    .image2 {
        display: flex;
        padding-left: 30px;
    }

    .header-text {
        margin-top: 100%;
        font-size: 10px;

    }

    h1 {
        font-size: 10px;
    }

    h3 {
        font-size: 10px;
    }

    h4 {
        font-size: 10px;
    }


    nav.fa-solid {
        color: #fff;
        display: block;
        font-size: 25px;
    }

    nav ul {
        background: rgb(167, 122, 27);
        position: fixed;
        top: 0;
        right: -200px;
        width: 200px;
        height: 100vh;
        padding-top: 50px;
        z-index: 2;
        transition: right 0.5s;
    }

    nav ul li {
        display: block;
        margin: 25px;
    }

    nav i {
        color: #fff;
    }

    nav ul.fa-solid {
        position: absolute;
        top: 25px;
        left: 25px;
        cursor: pointer;
    }

    .sub-title {
        font-size: 40px;
    }

    .about-col-1,
    .about-col-2 {
        flex-basis: 100%;
    }

    .about-col-1 {
        margin-bottom: 30px;
    }

    .about-col-2 {
        font-size: 14px;
    }

    .tab-links {
        font-size: 16px;
        margin-right: 20px;
    }

    .contact-left,
    .contact-right {
        flex-basis: 100%;
    }

    .copyright {
        font-size: 14px;
    }
}